> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unomiq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Organization

> Update an organization's details.

Updates organization information including name, contract email, address, and billing address.
Requires the `update:organizations` permission, available to users with an `owner` role for the organization, or to API keys with this permission assigned.

Returns:
    Object with the organization's id and update timestamp



## OpenAPI

````yaml PATCH /organizations/{org_id}
openapi: 3.1.0
info:
  title: Unomiq Management API
  description: >-

    API for managing settings for organizations, applications and API keys.


    ## Authentication


    All API endpoints require authentication via JWT token in the Authorization
    header:


    ```

    Authorization: Bearer <your_jwt_token>

    ```
        
  version: 1.0.0
servers:
  - url: https://management-api.unomiq.com
    description: Production
security: []
paths:
  /organizations/{org_id}:
    patch:
      tags:
        - organizations
      summary: Update Organization
      description: >-
        Update an organization's details.


        Updates organization information including name, contract email,
        address, and billing address.

        Requires the `update:organizations` permission, available to users with
        an `owner` role for the organization, or to API keys with this
        permission assigned.


        Returns:
            Object with the organization's id and update timestamp
      operationId: update_organization_organizations__org_id__patch
      parameters:
        - name: org_id
          in: path
          required: true
          schema:
            type: string
            title: Org Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OrganizationUpdateRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrganizationUpdateResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    OrganizationUpdateRequest:
      properties:
        name:
          anyOf:
            - type: string
              maxLength: 255
              minLength: 1
            - type: 'null'
          title: Name
          description: Organization/company name
        contract_email:
          anyOf:
            - type: string
              maxLength: 255
              format: email
            - type: 'null'
          title: Contract Email
          description: Contract email address
        tax_id:
          anyOf:
            - type: string
              maxLength: 50
              pattern: ^[A-Za-z0-9\s\-]*$
            - type: 'null'
          title: Tax Id
          description: Tax ID / VAT number (alphanumeric, hyphens, and spaces only)
        address:
          anyOf:
            - $ref: '#/components/schemas/Address'
            - type: 'null'
          description: Organization address
        billing_address:
          anyOf:
            - $ref: '#/components/schemas/Address'
            - type: 'null'
          description: Billing address
      type: object
      title: OrganizationUpdateRequest
    OrganizationUpdateResponse:
      properties:
        id:
          type: string
          title: Id
        updated_at:
          type: string
          title: Updated At
      type: object
      required:
        - id
        - updated_at
      title: OrganizationUpdateResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Address:
      properties:
        street:
          type: string
          maxLength: 255
          title: Street
          default: ''
        city:
          type: string
          maxLength: 255
          title: City
          default: ''
        state:
          type: string
          maxLength: 255
          title: State
          default: ''
        postal_code:
          type: string
          maxLength: 20
          pattern: ^[A-Za-z0-9\s\-]*$
          title: Postal Code
          default: ''
        country:
          type: string
          maxLength: 255
          title: Country
          default: ''
      type: object
      title: Address
      description: Address value object.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````